Subject: Re: [edu-team] xml2rfc class

From: Brian E Carpenter <[email-masked]>
Date: Wed, 01 Mar 2006 14:39:48 +0100

Bill Fenner, if nobody here volunteers.

      Brian

Avri Doria wrote:
> Hi,
> 
> Just wanted to let the team know.
> 
> Elwyn was recently elevated to the IAB and because there is some sort  
> of important IAB event on Sunday is no longer available to teach the  
> class.  He has said that he will continue work on the presentation.   In 
> the worse case, I could probably give the class (i am a user of  the 
> tool - but a primitive one - i sue emacs not some fancy uml  editor and 
> i constantly have to go remind myself of the syntax), but  I would like 
> to find a more worthy teacher.  any suggestions or  volunteers?
> 
> thanks
> a.
> 
> 
> _______________________________________________
> edu-team mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/edu-team
> 

_______________________________________________
edu-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/edu-team

---

From: Radia Perlman <[email-masked]>
Date: Wed, 01 Mar 2006 09:24:08 -0800

It would be even better if there was an RFC or something, or something 
written on our web page,
on exactly how to use the tool, but also, what all the xml
commands are, like exactly what the commands are for section heads, 
bullets, etc.

Radia

Avri Doria wrote:

> class.  He has said that he will continue work on the presentation.   
> In the worse case, I could probably give the class (i am a user of  
> the tool - but a primitive one - i sue emacs not some fancy uml  
> editor and i constantly have to go remind myself of the syntax), but  
> I would like to find a more worthy teacher.  any suggestions or  
> volunteers?
>
> thanks
> a.
>
>

---

From: Avri Doria <[email-masked]>
Date: Wed, 1 Mar 2006 22:05:31 +0100

Hi,

What about RFC2629  I learned how to use xml reading that rfc and the  
source for that rfc, plus reading the other info on the Web site.  I  
agree a class is a good thing for some people, but it is not hard to  
learn from the RFC and the web site.

a.

On 1 mar 2006, at 18.24, Radia Perlman wrote:

> It would be even better if there was an RFC or something, or  
> something written on our web page,
>> Elwyn was recently elevated to the IAB and because there is some  
>> sort  of important IAB event on Sunday is no longer available to  
>> teach the  class.  He has said that he will continue work on the  
>> presentation.   In the worse case, I could probably give the class  
>> (i am a user of  the tool - but a primitive one - i sue emacs not  
>> some fancy uml  editor and i constantly have to go remind myself  
>> of the syntax), but  I would like to find a more worthy teacher.   
>> any suggestions or  volunteers?
>>
>> thanks
>> a.
>>
>>

---

From: "Spencer Dawkins" <[email-masked]>
Date: Wed, 1 Mar 2006 15:57:00 -0600

My experience was the same as Avri's.

If we point anywhere on the EDU site, it should probably be to 
http://xml.resource.org/authoring/draft-mrose-writing-rfcs.html, an RFC 2629 
revision (that more or less matches the current implementation of 
XML2RFC)...

Thanks,

Spencer

>>> In the worse case, I could probably give the class  (i am a user of  the

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 02 Mar 2006 11:33:54 +0100

My experience is that I learned xml2rfc by example; I occasionally glance
at the guide, but normally just borrow constructs from source files
that come my way. (That's how I learned nroff too; it was years before
I got a copy of the nroff manual.)

A really good generic template would be a great thing to provide
to the class.

    Brian

Spencer Dawkins wrote:
> http://xml.resource.org/authoring/draft-mrose-writing-rfcs.html, an RFC 
> 2629 revision (that more or less matches the current implementation of 
> XML2RFC)...
> 
> Thanks,
> 
> Spencer
> 
> 
>> Hi,
>>
>>>> presentation. In the worse case, I could probably give the class  (i 
>>>> am a user of  the tool - but a primitive one - i sue emacs not  some 
>>>> fancy uml  editor and i constantly have to go remind myself  of the 
>>>> syntax), but  I would like to find a more worthy teacher.   any 
>>>> suggestions or  volunteers?
>>>>
>>>> thanks
>>>> a.
>>>>
>>>>

---

From: Avri Doria <[email-masked]>
Date: Thu, 2 Mar 2006 11:39:33 +0100

hi,

BTW, I asked Bill Fenner as suggested, and he is considering it.   
Elwyn is working on the presentation, and I will pass it off to Bill  
at the same time as I send it to this team (right after Elwyn sends  
it to me)

a.

On 2 mar 2006, at 11.33, Brian E Carpenter wrote:

>> http://xml.resource.org/authoring/draft-mrose-writing-rfcs.html,  
>> an RFC 2629 revision (that more or less matches the current  
>> implementation of XML2RFC)...
>> Thanks,
>> Spencer
>>> Hi,
>>>
>>> What about RFC2629  I learned how to use xml reading that rfc and  
>>> the source for that rfc, plus reading the other info on the Web  
>>> site.  I agree a class is a good thing for some people, but it is  
>>> not hard to learn from the RFC and the web site.
>>>
>>> a.
>>>
>>>> commands are, like exactly what the commands are for section  
>>>> heads, bullets, etc.
>>>>
>>>> Radia
>>>>
>>>>
>>>>
>>>> Avri Doria wrote:
>>>>
>>>>> Hi,
>>>>>
>>>>> Elwyn was recently elevated to the IAB and because there is  
>>>>> some  sort of important IAB event on Sunday is no longer  
>>>>> available to  teach the class.  He has said that he will  
>>>>> continue work on the  presentation. In the worse case, I could  
>>>>> probably give the class  (i am a user of  the tool - but a  
>>>>> primitive one - i sue emacs not  some fancy uml  editor and i  
>>>>> constantly have to go remind myself  of the syntax), but  I  
>>>>> would like to find a more worthy teacher.   any suggestions or   
>>>>> volunteers?
>>>>>
>>>>> thanks
>>>>> a.
>>>>>
>>>>>

---

From: "Margaret Wasserman" <[email-masked]>
Date: Thu, 2 Mar 2006 14:36:54 -0500

Marshall Rose wrote the tool.

Margaret 

> -----Original Message-----
> From: Avri Doria [mailto:[email-masked]] 
> Sent: Tuesday, February 28, 2006 4:21 AM
> To: EDU Team
> Subject: [edu-team] xml2rfc class
> 
> Hi,
> 
> available to teach the  
> In the worse case, I could probably give the class (i am a 
> user of the tool - but a primitive one - i sue emacs not some 
> fancy uml editor and i constantly have to go remind myself of 
> the syntax), but I would like to find a more worthy teacher.

---

From: "Margaret Wasserman" <[email-masked]>
Date: Thu, 2 Mar 2006 14:38:42 -0500

Fred Baker has a great template.  He sent it to me, and I've used it for all
of my documents.  If you ask him, he'd probably be very happy to share.

Margaret 

> From: Brian E Carpenter [mailto:[email-masked]] 
> Sent: Thursday, March 02, 2006 5:34 AM
> To: Spencer Dawkins
> Cc: EDU Team
> Subject: Re: [edu-team] xml2rfc class
> 
> My experience is that I learned xml2rfc by example; I 
> occasionally glance at the guide, but normally just borrow 
> constructs from source files that come my way. (That's how I 
> learned nroff too; it was years before I got a copy of the 
> nroff manual.)
> 
> A really good generic template would be a great thing to 
> provide to the class.
> 
>     Brian
> 
> Spencer Dawkins wrote:
> >>> something written on our web page, on exactly how to use 
> the tool, 
> >>> but also, what all the xml commands are, like exactly what the 
> >>> commands are for section heads, bullets, etc.
> >>>
> >>> Radia
> >>>
> >>>
> >>>
> >>> Avri Doria wrote:
> >>>
> >>>> Hi,
> >>>>
> >>>> some fancy uml  editor and i constantly have to go 
> remind myself  of the